Bug 145511 - [patch] x11/gnome-terminal - patch typo
[patch] x11/gnome-terminal - patch typo
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 10:20 UTC by pavel.plesov
Modified: 2010-05-10 22:30 UTC (History)
0 users

See Also:


Attachments
file.diff (770 bytes, patch)
2010-04-08 10:20 UTC, pavel.plesov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pavel.plesov 2010-04-08 10:20:05 UTC
Revision 1.7 of patch-src_terminal-screen.c.diff have a typo: it uses not-initialized variable fgpid and fails to get cwd every time.

According to original gnome-terminal code changes it should contains value of "pid" argument of cwd_of_pid().

Please find the patch attached.

Fix: Patch attached with submission follows:
How-To-Repeat: Try to open new tab - working directory will != working directory of previously active tab.
Comment 1 Edwin Groothuis freebsd_committer 2010-04-08 10:20:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 mezz freebsd_committer 2010-04-29 02:47:43 UTC
State Changed
From-To: open->patched

Committed in the MarcusCom CVS that will be merged into FreeBSD ports. Thanks!
Comment 3 Koop Mast freebsd_committer 2010-05-10 22:30:21 UTC
State Changed
From-To: patched->closed

Committed, thanks!